{ sources ? import ./nix/sources.nix, pkgs ? import sources.nixpkgs { } }:

with pkgs;

let locigenesis = pkgs.callPackage ./default.nix { };

in dockerTools.buildImage {
  name = "akasroua/locigenesis";
  contents = [ locigenesis ];
  config.Entrypoint = [ "${locigenesis}/bin/generation.sh" ];
}
